GET
/api/v1/invoices/{id}Show invoice
GET /api/v1/invoices/{id}
Displays an invoice by id
idstringrequired
The Invoice Hashed ID
includestringoptional
Includes child relationships in the response, format is comma separated. Check each model for the list of associated includes
X-API-TOKENstringrequired
The API token to be used for authentication
X-Requested-Withstringrequired
Used to send the XMLHttpRequest header
200Returns the invoice object
amountnumberoptional
The invoice amount
archived_atnumberoptional
Timestamp
assigned_user_idstringoptional
The assigned user hashed id
auto_bill_enabledbooleanoptional
Boolean flag determining if the invoice is set to auto bill
auto_bill_triesintegeroptional
The number of times the invoice has attempted to be auto billed
balancenumberoptional
The invoice balance
client_idstringoptional
The client hashed id
custom_surcharge1numberoptional
First Custom Surcharge
custom_surcharge2numberoptional
Second Custom Surcharge
custom_surcharge3numberoptional
Third Custom Surcharge
custom_surcharge4numberoptional
Fourth Custom Surcharge
custom_surcharge_tax1booleanoptional
Toggles charging taxes on custom surcharge amounts
custom_surcharge_tax2booleanoptional
Toggles charging taxes on custom surcharge amounts
custom_surcharge_tax3booleanoptional
Toggles charging taxes on custom surcharge amounts
custom_surcharge_tax4booleanoptional
Toggles charging taxes on custom surcharge amounts
custom_value1stringoptional
A custom field value
custom_value2stringoptional
A custom field value
custom_value3stringoptional
A custom field value
custom_value4stringoptional
A custom field value
datestringoptional
The Invoice Date
design_idstringoptional
The unique identifier of the design template used for this invoice
discountnumberoptional
The invoice discount, can be an amount or a percentage
due_datestringoptional
The due date of the invoice
e_invoiceobjectoptional
E-invoice configuration and data
exchange_ratenumberoptional
The exchange rate used for currency conversion
footerstringoptional
The invoice footer notes
idstringoptional
The invoice hashed id
invitationsarray<object>optional
An array of objects which define the invitations of the invoice
is_amount_discountbooleanoptional
Flag determining if the discount is an amount or a percentage
is_deletedbooleanoptional
Defines if the invoice has been deleted
last_sent_datestringoptional
The last date the invoice was sent out
last_viewednumberoptional
Timestamp
line_itemsarray<object>optional
An array of objects which define the line items of the invoice
location_idstringoptional
The client location id that this invoice relates to
next_send_datestringoptional
The Next date for a reminder to be sent
numberstringoptional
The invoice number - is a unique alpha numeric number per invoice per company
paid_to_datenumberoptional
The amount paid on the invoice to date
partialnumberoptional
The deposit/partial amount
partial_due_datestringoptional
The due date for the deposit/partial amount
po_numberstringoptional
The purchase order associated with this invoice
private_notesstringoptional
The private notes of the invoice
project_idstringoptional
The project associated with this invoice
public_notesstringoptional
The public notes of the invoice
status_idstringoptional
The invoice status variable
subscription_idstringoptional
The subscription associated with this invoice
tax_name1stringoptional
The tax name
tax_name2stringoptional
The tax name
tax_name3stringoptional
The tax name
tax_rate1numberoptional
The tax rate
tax_rate2numberoptional
The tax rate
tax_rate3numberoptional
The tax rate
termsstringoptional
The invoice terms
total_taxesnumberoptional
The total taxes for the invoice
updated_atnumberoptional
Timestamp
user_idstringoptional
The user hashed id
uses_inclusive_taxesbooleanoptional
Defines the type of taxes used as either inclusive or exclusive
vendor_idstringoptional
The unique identifier of the vendor associated with this invoice
401Authentication error
messagestringoptional
These credentials do not match our records / Invalid Token
403Authorization error
errorsobjectoptional
messagestringoptional
Insufficient permissions for this resource.
422Validation error
errorsobjectoptional
messagestringoptional
The error message
429Rate Limit Exceeded
errorsobjectoptional
messagestringoptional
Rate limit exceeded.
5XXServer error
defaultUnexpected Error
codeintegeroptional
The HTTP error code, ie 5xx 4xx
messagestringoptional
Something terrible went wrong
Error handling
A 401 is returned: Authentication error. A 403 is returned: Authorization error. A 422 is returned: Validation error. A 429 is returned: Rate Limit Exceeded. Any other status is an error: Unexpected Error.